> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove book from portfolio



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Books/ListBookInstruments
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Books/ListBookInstruments:
    post:
      tags:
        - Books
      summary: Remove book from portfolio
      operationId: ListBookInstruments
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiListBookInstrumentsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiListBookInstrumentsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiListBookInstrumentsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiListBookInstrumentsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiListBookInstrumentsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiListBookInstrumentsRequest:
      example:
        start_row: 0
        end_row: 6
      properties:
        book_name:
          nullable: true
          type: string
        start_row:
          format: int32
          type: integer
        end_row:
          format: int32
          type: integer
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Book.ApiListBookInstrumentsRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiListBookInstrumentsResponse:
      example:
        instruments:
          - quantity: 0.8008281904610115
            id: id
            display_name: display_name
          - quantity: 0.8008281904610115
            id: id
            display_name: display_name
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        instruments:
          items:
            $ref: '#/components/schemas/BookTradeInfo'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Book.ApiListBookInstrumentsResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BookTradeInfo:
      example:
        quantity: 0.8008281904610115
        id: id
        display_name: display_name
      properties:
        id:
          nullable: true
          type: string
        display_name:
          nullable: true
          type: string
        quantity:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Book.BookTradeInfo, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````